package com.mosty.qwzx.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.entity.qwzx.TbQwJjr;
import com.mosty.base.model.query.qwzx.TbQwJjrQuery;
import io.swagger.annotations.ApiOperation;

import java.util.List;

public interface TbQwJjrService {

    @ApiOperation("添加节假日")
    void add(TbQwJjr jjr);

    @ApiOperation("修改节假日")
    void update(TbQwJjr jjr);

    @ApiOperation("删除节假日数据")
    void deleteBatch(List<String> ids);

    @ApiOperation("单条删除节假日")
    void deleteByIds(String id);

    @ApiOperation("分页查询节假日信息")
    IPage<TbQwJjr> getPageList(TbQwJjrQuery dto);
}
